#
# spec file for package rsh (Version 0.17)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           rsh
BuildRequires:  pam-devel
License:        BSD
Group:          Productivity/Networking/Other
Requires:       netcfg
Provides:       nkitb:/usr/bin/rsh
Autoreqprov:    on
Version:        0.17
Release:        573.2
Summary:        Clients for remote access commands (rsh, rlogin, and rcp)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/
Source:         netkit-rsh-%{version}.tar.bz2
Source1:        rlogin.xinetd
Source2:        rsh.xinetd
Source3:        rexec.xinetd
Source4:        README.SuSE
Patch:          netkit-rsh-%{version}.diff
Patch1:         netkit-rsh-%{version}-pam.diff
Patch2:         netkit-rsh-%{version}-varargs.diff
Patch3:         netkit-rsh-%{version}-pam-env.diff
Patch4:         netkit-rsh-%{version}-revers.diff
Patch5:         netkit-rsh-%{version}-bigfile.diff
Patch6:         netkit-rsh-%{version}-null.diff
Patch7:         netkit-rsh-%{version}-rexec-netrc.diff
Patch8:         netkit-rsh-%{version}-checkdir.diff
Patch9:         netkit-rsh-%{version}-rexec-NPTL-signals.diff
Patch10:        netkit-rsh-%{version}-nostrip.diff
Patch11:        netkit-rsh-%{version}-realloc-assign.diff

%description
This package contains programs that allow users to run commands on
remote machines, to log in to other machines, and to copy files between
machines (rsh, rexec, rlogin, and rcp).  These commands use rhosts
style authentication. For secure communication, SSH should be used.



%debug_package
%package server
Version:        0.17
Release:        573.2
Summary:        Servers for Remote Access Commands (rsh, rlogin, rcp)
Group:          Productivity/Networking/Other
Requires:       netcfg
Provides:       nkitserv:/usr/sbin/in.rshd
Autoreqprov:    on

%description server
This package contains a set of server programs which allow users to run
commands on remote machines, log in to other machines, and copy files
between machines (rsh, rexec, rlogin, and rcp). All of these services
are run by inetd and configured using /etc/inetd.conf. PAM will be used
for authentication. SSH should be used for secure communication.



%prep
%setup -q -n netkit-rsh-%{version}
cp %SOURCE4 .
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10 -p1
%patch11 -p1

%build
CFLAGS="$RPM_OPT_FLAGS -Wall -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -fPIE" \
./configure
echo "LDFLAGS += -pie" >> MCONFIG
make

%install
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d
install -d -m 755 $RPM_BUILD_ROOT/usr/{bin,sbin}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man{1,5,8}
install -d -m 755 $RPM_BUILD_ROOT/etc/xinetd.d
install -m 644 %{S:1} $RPM_BUILD_ROOT/etc/xinetd.d/rlogin
install -m 644 %{S:2} $RPM_BUILD_ROOT/etc/xinetd.d/rsh
install -m 644 %{S:3} $RPM_BUILD_ROOT/etc/xinetd.d/rexec
make install INSTALLROOT=$RPM_BUILD_ROOT

%clean
rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%{_mandir}/man1/*
%{_mandir}/man5/*
%doc BUGS ChangeLog
/usr/bin/*

%files server
%defattr(-,root,root)
%config /etc/pam.d/*
%config(noreplace) /etc/xinetd.d/*
%{_mandir}/man8/*
%doc BUGS ChangeLog README.SuSE
/usr/sbin/*

%changelog -n rsh
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 21 2005 - mmj@suse.de
- enable debuginfo
- assign return value of realloc to pointer being realloc'ed
* Fri Sep 16 2005 - od@suse.de
- fix to avoid setting handlers for signals used by NPTL (#114893)
* Wed Jun 22 2005 - mjancar@suse.cz
- fix directory traversal: netkit-rsh-0.17-checkdir.diff (#84582)
* Tue Jun 21 2005 - ro@suse.de
- build with fPIE/pie
* Mon Mar 07 2005 - mjancar@suse.cz
- add .netrc support to rexec
* Mon Jan 24 2005 - meissner@suse.de
- 0 -> NULL in 2 exec calls.
* Mon Nov 08 2004 - kukuk@suse.de
- Use common-* PAM config files for PAM configuration
* Wed Sep 08 2004 - mjancar@suse.cz
- support large files (#44738)
* Wed Mar 31 2004 - mjancar@suse.cz
- add options to relax or skip reverse host lookup (#37096)
* Fri Jan 16 2004 - kukuk@suse.de
- Add pam-devel neededforbuild
* Fri Mar 07 2003 - vbobek@suse.cz
- fixed misspelling in rsh.xinetd
* Mon Feb 24 2003 - vbobek@suse.cz
- updated for start from xinetd
* Fri Feb 07 2003 - kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Wed Feb 06 2002 - cihlar@suse.cz
- added patch pam-env which makes pam_env.so working
  (by magnus@thp.uni-duisburg.de)
* Mon Nov 19 2001 - cihlar@suse.cz
- split patch for varargs problem from main patch
* Fri Nov 16 2001 - bk@suse.de
- rcp/s390: fix varargs problem in error():
  va_copy before changing varargs(fixes bug 12330)
* Wed Oct 24 2001 - cihlar@suse.cz
- fixed problem with calling PAM function after getpwnam
* Tue Aug 14 2001 - kukuk@suse.de
- Don't use absolute paths to PAM modules in PAM config files
* Sat Apr 07 2001 - kukuk@suse.de
- Make rexec, rsh and rlogin IPv6 ready
- Add rexec_af as workaround for buggy glibc version
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Fri Mar 16 2001 - cihlar@suse.cz
- added Url
- clean up spec file
* Tue Mar 06 2001 - kukuk@suse.de
- Initial package, split from nkitb
